clang 10.0.0git

Namespaces | Macros | Enumerations
DiagnosticCategories.h File Reference
`#include "clang/Basic/DiagnosticGroups.inc"`
Include dependency graph for DiagnosticCategories.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::diag

## Macros
#define | GET_CATEGORY_TABLE
#define | CATEGORY(X, ENUM) ENUM,

## Enumerations
enum | { clang::diag::DiagCat_NUM_CATEGORIES }

## Macro Definition Documentation

## ◆ CATEGORY

#define CATEGORY | ( |  | X,
|  |  | ENUM
| ) |  | ENUM,

Definition at line 16 of file DiagnosticCategories.h.

## ◆ GET_CATEGORY_TABLE

#define GET_CATEGORY_TABLE

Definition at line 15 of file DiagnosticCategories.h.